LEI Lookup company
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-lei-lookup-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company": "HWUPKR0MPOU8FGXBT394"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-lei-lookup-companies"
payload = { "company": "HWUPKR0MPOU8FGXBT394" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company: 'HWUPKR0MPOU8FGXBT394'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-lei-lookup-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "lei_lookup_company",
"company": "HWUPKR0MPOU8FGXBT394",
"company_id": "HWUPKR0MPOU8FGXBT394",
"human": "# LEI Lookup (lei-lookup.com) — company\n\n- **Number:** HWUPKR0MPOU8FGXBT394\n- **Pages opened:** 1\n- **Proxy traffic:** 111.6 KB\n- **Name:** Apple Inc.\n- **Status:** ACTIVE\n- **Type:** For-Profit Corporation General Stock\n- **Registered:** 1977-01-03\n- **Address:** C/O C T Corporation System, 330 N. Brand Blvd, Suite 700, Glendale, 91203, United States of America",
"machine": {
"company": {
"registration_number": "HWUPKR0MPOU8FGXBT394",
"name": "Apple Inc.",
"status": "ACTIVE",
"address": "C/O C T Corporation System, 330 N. Brand Blvd, Suite 700, Glendale, 91203, United States of America",
"url": "https://www.lei-lookup.com/record/HWUPKR0MPOU8FGXBT394/",
"company_type": "For-Profit Corporation General Stock",
"incorporation_date": "1977-01-03",
"lei": "HWUPKR0MPOU8FGXBT394",
"lei_status": "ISSUED",
"initial_registration_date": "2012-06-06",
"last_update_date": "2026-03-03",
"next_renewal_date": "2027-03-08",
"validation_sources": "FULLY_CORROBORATED",
"managing_lou": {
"name": "Bloomberg Finance L.P.",
"lei": "5493001KJTIIGC8Y1R12"
},
"other_names": [
"Apple Computer, Inc."
],
"entity_category": "GENERAL",
"legal_form": {
"code": "H1UM",
"name": "For-Profit Corporation General Stock",
"language": "en"
},
"registration_authority": {
"name": "Business Entity Records",
"organization": "Secretary of State",
"local_name": "Business Entity Records",
"local_organization": null,
"country": "United States of America, California",
"id": "RA000598"
},
"registration_authority_entity_id": "806592",
"validated_at": {
"name": "Business Entity Records",
"organization": "Secretary of State",
"local_name": "Business Entity Records",
"local_organization": null,
"country": "United States of America",
"id": "RA000598"
},
"validated_as": "806592",
"bic": "APLEUS66XXX",
"jurisdiction": "US",
"legal_address": {
"address": "C/O C T Corporation System, 330 N. Brand Blvd, Suite 700",
"postal_code": "91203",
"city": "Glendale",
"region_code": "US-CA",
"country_code": "US",
"country": "United States of America"
},
"headquarters_address": {
"address": "One Apple Park Way",
"postal_code": "95014",
"city": "Cupertino",
"region_code": "US-CA",
"country_code": "US",
"country": "United States of America"
},
"parents": {
"direct": null,
"ultimate": null,
"direct_exception": null,
"ultimate_exception": null
},
"direct_children_total": 8,
"ultimate_children_total": 20
},
"blocked": false,
"pages_opened": 1,
"proxy_traffic_bytes": 114279
},
"total_points": 5
}Company Registries
LEI Lookup company
Get one Legal Entity Identifier record by LEI code or lei-lookup.com link: name, entity and LEI status, registration and renewal dates, managing issuer, legal form, registration authority, legal and headquarters addresses, parent companies and the number of subsidiaries. 5 point per returned record.
POST
/
functions
/
v1
/
run-lei-lookup-companies
LEI Lookup company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
LEI or lei-lookup.com link. e.g. HWUPKR0MPOU8FGXBT394
Response
Run completed.